#
# Conditional build:
%bcond_without	pango		# pango based text rendering
#
# WARNING! libgdiplus will not work if compiled with -fomit-frame-pointer
#
Summary:	An Open Source implementation of the GDI+ API
Summary(pl.UTF-8):	Otwarta implementacja API GDI+
Name:		libgdiplus
Version:	6.1
Release:	2
License:	MIT
Group:		Libraries
Source0:	https://download.mono-project.com/sources/libgdiplus/%{name}-%{version}.tar.gz
# Source0-md5:	c017987f3434e0dcd5fa5e5c5631afeb
Patch0:		%{name}-pango.patch
URL:		https://www.mono-project.com/docs/gui/libgdiplus/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	cairo-devel >= 1.6.4
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	giflib-devel >= 5.0
BuildRequires:	glib2-devel >= 1:2.2.3
BuildRequires:	gtk+2-devel
BuildRequires:	libexif-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.6
BuildRequires:	libtiff-devel
BuildRequires:	libtool
%{?with_pango:BuildRequires:	pango-devel >= 1:1.40.14}
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
%{!?with_pango:BuildConflicts:	pango-devel}
Requires:	cairo >= 1.6.4
Requires:	glib2 >= 1:2.2.3
%{?with_pango:Requires:	pango >= 1:1.40.14}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
An Open Source implementation of the GDI+ API.

This is part of the Mono project.

%description -l pl.UTF-8
Otwarta implementacja API GDI+.

Część projektu Mono.

%package devel
Summary:	Development files for libgdiplus
Summary(pl.UTF-8):	Pliki programistyczne libgdiplus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.6.4
Requires:	fontconfig-devel
Requires:	freetype-devel >= 2.0
Requires:	giflib-devel
Requires:	glib2-devel >= 1:2.2.3
Requires:	libexif-devel
Requires:	libjpeg-devel
Requires:	libpng-devel >= 2:1.6
Requires:	libtiff-devel
%{?with_pango:Requires:	pango-devel >= 1:1.40.14}
Requires:	xorg-lib-libXrender-devel

%description devel
Development files for libgdiplus.

%description devel -l pl.UTF-8
Pliki programistyczne libgdiplus.

%package static
Summary:	Static libgdiplus library
Summary(pl.UTF-8):	Statyczna biblioteka libgdiplus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgdiplus library.

%description static -l pl.UTF-8
Statyczna biblioteka libgdiplus.

%prep
%setup -q
%patch0 -p1

# disable gtest tests (not run, require cmake and -Werror fixes)
%{__sed} -i -e '/^if HAVE_CMAKE/,/^endif/ d' tests/Makefile.am

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_pango:--with-pango}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgdiplus.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS README.md TODO
%attr(755,root,root) %{_libdir}/libgdiplus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdiplus.so.0
# needed at runtime for mono to load it as gdiplus.dll
%attr(755,root,root) %{_libdir}/libgdiplus.so

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/libgdiplus.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdiplus.a
%changelog
* Mon Apr 18 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgdiplus.git;a=log;h=master

* Mon Apr 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 6061dc1
- disable building of unused tests; release 2

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 1fcc5df
- updated to 6.1
- removed outdated ac patch
- added pango patch (fixes pango linking with as-needed)
- now pango rendering is the default if pango is found (cairo is chosen only if there is no pango)

* Wed Apr 03 2019 Adam Gołębiowski <adamg@pld-linux.org> 69e418b
- updated to 5.6.1

* Wed Apr 03 2019 Adam Gołębiowski <adamg@pld-linux.org> 1da5c9c
- updated to 5.6.1

* Sat Mar 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 1df1600
- updated to 5.6

* Thu Dec 24 2015 Jakub Bogusz <qboosh@pld-linux.org> e024f49
- updated to 4.2
- removed obsolete giflib patch

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> dd68097
- updated to 3.12
- updated giflib patch

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> c7b17c6
- release 2 (by relup.sh)

* Tue Sep 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 722459f
- lowered giflib BR to 5.0 (lowest supported by giflib patch)

* Tue Sep 16 2014 Jakub Bogusz <qboosh@pld-linux.org> e3bc3fc
- adjusted to support giflib 5.0.x too

* Sat Sep 06 2014 Jakub Bogusz <qboosh@pld-linux.org> d1d0901
- updated to 3.8

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 2a96827
- updated to 3.6
- removed obsolete link,lt,libpng patches
- added giflib patch (update for giflib 5.1 API)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ef6f08f
- release 2 (by relup.sh)

* Mon Jun 25 2012 Tomasz Pala <gotar@pld-linux.org> c146a18
- upgraded to 2.10.9, removed la file, do not use patches where stream
  processing is more appropriate (libpng adjustment), rebuild wihout libexif.la

* Sat Feb 11 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 9b09407
- release 5

* Sat Feb 11 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 19d3ebd
- added fixes for build with libpng 1.5

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cf8dbf
- release 4

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3507aa1
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c5bb7c6
- release 2

* Sat Feb 19 2011 Jakub Bogusz <qboosh@pld-linux.org> b0accd6
- updated to 2.10

